Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class PooledJavaComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.component.PooledJavaComponent

All Implemented Interfaces:
  Component, JavaComponent, FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

    public class PooledJavaComponent

extends AbstractJavaComponent

`PooledJavaComponent` implements pooling.

Nested Class Summary
`protected class` | `PooledJavaComponent.LifeCycleAdapterFactory` `LifeCycleAdaptorFactory` wraps the Component' s `ObjectFactory`.

Field Summary
`protected LifecyleEnabledObjectPool` | `lifecycleAdapterPool`
`protected PoolingProfile` | `poolingProfile`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindings, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`flowConstruct, interceptorChain, interceptors, logger, muleContext, notificationHandler, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`PooledJavaComponent()`
`PooledJavaComponent(ObjectFactory objectFactory)`
`PooledJavaComponent(ObjectFactory objectFactory, PoolingProfile poolingProfile)`
`PooledJavaComponent(ObjectFactory objectFactory, PoolingProfile poolingProfile, EntryPointResolverSet entryPointResolverSet, List<InterfaceBinding> bindings)`

Method Summary
`protected LifecycleAdapter` | `borrowComponentLifecycleAdaptor()`
`protected void` | `doInitialise()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`PoolingProfile` | `getPoolingProfile()`
`protected void` | `returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)`
`void` | `setPoolingProfile(PoolingProfile poolingProfile)`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifecycleAdaptor, doDispose, doInvoke, getEntryPointResolverSet, getInterfaceBindings, getLifecycleAdapterFactory, getObjectFactory, getObjectType, injectService, invokeComponentInstance, setEntryPointResolvers, setEntryPointResolverSet, setFlowConstruct, setInterfaceBindings, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`createResultEvent, dispose, fireComponentNotification, getFlowConstruct, getInterceptors, getStatistics, initialise, process, release, setInterceptors, setMuleContext, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getStatistics`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Field Detail

### poolingProfile

    protected PoolingProfile poolingProfile

### lifecycleAdapterPool

    protected LifecyleEnabledObjectPool lifecycleAdapterPool

Constructor Detail

### PooledJavaComponent

    public PooledJavaComponent()

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory)

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory,
                               PoolingProfile poolingProfile)

### PooledJavaComponent

    public PooledJavaComponent(ObjectFactory objectFactory,
                               PoolingProfile poolingProfile,
                               EntryPointResolverSet entryPointResolverSet,
                               List<InterfaceBinding> bindings)

Method Detail

### borrowComponentLifecycleAdaptor

    protected LifecycleAdapter borrowComponentLifecycleAdaptor()
                                                        throws Exception

  Specified by:
    `borrowComponentLifecycleAdaptor` in class `AbstractJavaComponent`
  Throws:
    `Exception`

### returnComponentLifecycleAdaptor

    protected void returnComponentLifecycleAdaptor(LifecycleAdapter lifecycleAdapter)

  Specified by:
    `returnComponentLifecycleAdaptor` in class `AbstractJavaComponent`

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Overrides:
    `doInitialise` in class `AbstractJavaComponent`
  Throws:
    `InitialisationException`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractJavaComponent`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractComponent`
  Throws:
    `MuleException`

### setPoolingProfile

    public void setPoolingProfile(PoolingProfile poolingProfile)

### getPoolingProfile

    public PoolingProfile getPoolingProfile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.